{"title":"Get generalProductPostingGroups","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_generalproductpostinggroup_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_generalproductpostinggroup_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_generalproductpostinggroup_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets a general product posting group object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":107,"chars":226},{"level":2,"title":"Request headers","slug":"request-headers","at":333,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":405,"chars":61},{"level":2,"title":"Response","slug":"response","at":466,"chars":138},{"level":2,"title":"Example","slug":"example","at":604,"chars":488},{"level":2,"title":"Related information","slug":"related-information","at":1092,"chars":147}],"text":"Retrieves the properties and relationships of a general product posting group object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/generalProductPostingGroups({id})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and a generalProductPostingGroup object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/generalProductPostingGroups({id})\n```\nResponse\nHere's an example of the response.\n```json\n{\n\"@odata.etag\": \"W/\\\"JzQ0O1RkZjFGSzJKcXR3VU5QTmNyMUNuUjltT2Z5b1FtWjV5eGdndHNKcXN5bFE9MTswMDsn\\\"\",\n\"id\": \"50bd9bdb-51ff-eb11-bb76-000d3a220646\",\n\"code\": \"MISC\",\n\"description\": \"Miscellaneous with VAT\",\n\"defaultVATProductPostingGroup\": \"VAT25\",\n\"autoInsertDefault\": true\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_generalproductpostinggroup"}